/* Kontener główny */
.logos-slider {
    overflow: hidden;
    width: 100%;
    background: transparent;
    padding: 20px 0;
}

.logos-slider .slide-track {
    display: flex;
    width: calc(250px * var(--items-count) * 2);
    animation: scroll-carousel 40s linear infinite;
}

.logos-slider .slide {
    width: 250px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-electric-blue);
    opacity: 0.7;
}

.logos-slider img {
    width: 100%;
    height: auto;
    filter: grayscale(1);
    mix-blend-mode: luminosity;
    display: block;
    transition: all 0.3s ease;
}



/* Animacja */
@keyframes scroll-carousel {
    0% { 
        transform: translateX(0); 
    }
    100% { 
        transform: translateX(calc(-250px * var(--items-count))); 
    }
}
